# Bulk Contract Start

* Start Bulk Contract

* For bulk sending, the order of signatures depends on the steps you set in the template. (It depends on the template step type) The sender will be set as starter of document and the signer's information will be determined by the value in unset\_player\_list. Document will be sent for all signers in the unset\_player\_list.

## API URL

| Url                                        | Type | **Code** |
| ------------------------------------------ | ---- | -------- |
| <https://docs.esignon.net/JEDOC/Common.do> | POST | 1410Q    |

## Request

### Parameters

#### &#x20;Headers

| **Parameter Name** | DataType | **Description**  |
| ------------------ | -------- | ---------------- |
| Content-Type       | String   | application/json |
| Authorization      | String   | esignon {token}  |

#### &#x20; Body&#x20;

&#x20; Body - Header Parameter

| **Parameter Name** | DataType | **Description**                |
| ------------------ | -------- | ------------------------------ |
| request\_code      | String   | "1410Q"                        |
| request\_msg       | String   | "Start Work Flow Bulk Sending" |
| session\_id        | String   | "thread\_023"                  |
| version            | String   | "9.9.99"                       |

&#x20; Body - Body Parameter

| **Parameter Name**                         | DataType | **Description**                                                                                   |
| ------------------------------------------ | -------- | ------------------------------------------------------------------------------------------------- |
| comp\_id                                   | String   | Company ID                                                                                        |
| biz\_id                                    | String   | "0"                                                                                               |
| memb\_email                                | String   | Document starter's email                                                                          |
| workflow\_name                             | String   | ""                                                                                                |
| workflow\_lib\_id                          | String   | <p>lid\_id created when creating the template</p><p>(You can check the select Templete list.)</p> |
| unset\_player\_list                        | Data     | Enter the signers information                                                                     |
| unset\_player\_list.memb\_id\_type         | String   | "EMail"                                                                                           |
| unset\_player\_list.email                  | String   | Email address                                                                                     |
| unset\_player\_list.name                   | String   | Signer name                                                                                       |
| unset\_player\_list.language               | String   | "ko-KR","en-US","ja-JP"                                                                           |
| unset\_player\_list.workflow\_name         | String   | Document name to start                                                                            |
| unset\_player\_list.enable\_mobile\_cert   | String   | "false" ( is only available in Korea.)                                                            |
| unset\_player\_list.mobile\_number         | String   | "" ( is only available in Korea.)                                                                 |
| unset\_player\_list.enable\_password\_cert | String   | Password authentication feature "True or false"                                                   |
| unset\_player\_list.password\_hint         | String   | Password hint                                                                                     |
| unset\_player\_list.password               | String   | Password                                                                                          |
| field\_list                                | Data     | Field value added in case there is a value to be entered in advance                               |
| field\_list.doc\_id                        | String   | Templete ID                                                                                       |
| field\_list.field\_name                    | String   | Templete field name                                                                               |
| field\_list.field\_value                   | String   | The value you want to enter in the field                                                          |
| comment                                    | String   | ""                                                                                                |
| enable\_legal\_agreement                   | String   | "false"                                                                                           |

## Request Body Example

```javascript
{
  "header": {
    "request_code": "1410Q",
    "api_name": "Start Work Flow Bulk Sending",
    "session_id": "",
    "version" : "9.9.99"
  },
  "body": {
    "comp_id": "{Company ID}",
    "biz_id": "0",
    "memb_email": "{ Email of document starter}",
    "workflow_lib_id": "{ templete lib_id }",
    "workflow_name": "",
    "unset_player_list": [{
        "memb_id_type" : "{ EMail }",
        "email": "{ email adress }",
        "name" : "{ Signer name }",
        "language": "ko-KR",//ko-KR, ja-JP, en-US
        "workflow_name" : "{ document name }",
        "enable_mobile_cert" : "flase",//( is only available in Korea.)
        "mobile_number" : "",//( is only available in Korea.)
        "enable_password_cert":"{true or false}",
	      "password_hint":"{Password to use when proceeding with the contract hint}",  		
	      "password":"{Password to use when proceeding with the contract}",
        "field_list": [{ // Field used to transfer by entering a value in the field at contract startup
      				"doc_id": "{ Templete ID }",
      				"field_name": "{ Templete field name }",
      				"field_value": "{ The value you want to enter in the appropriate field }"
			  }]
      }],// Send contracts to all customers you set up
    "comment": "",
    "enable_legal_agreement":"false"
  }
}
```

## Response

| Code | **Description**   | **Reference** |
| ---- | ----------------- | ------------- |
| 200  | success           | success       |
| 400  | Connection failed |               |

#### Result\_msg

| Code | **Description** | **Reference**                                                                     |
| ---- | --------------- | --------------------------------------------------------------------------------- |
| 00   | success         | success                                                                           |
| -1   | fail            | Parsing failed because the body information of the received message is incorrect. |
| 10   | fail            | The specific Work Flow Library does not exist.                                    |
| 11   | fail            | Failed.                                                                           |
| 12   | fail            | The maximum storage capacity has been exceeded.                                   |
| 13   | fail            | The maximum number of documents is exceeded.                                      |
| 14   | fail            | The usage period has expired.                                                     |
| 15   | fail            | The writer setting is incorrect.                                                  |

## Response Body Example

```javascript
}
	"body":{
		"workflow_list":[
			{
			"workflow_id": "{Document ID}",
			"unset_player_email": "{Signer email}",
			"unset_player_name": "{Signer name}",
			"result": "OK",
			"description": "",
			"workflow_name": "{Documnet name}",
			"token": "{accesstoken}",
			"lang": "ko-KR",
			"reg_date": "{Company Payment Renewal Date}"},
			"comp_id": "{Company ID}",
			"biz_id": "0",
			"memb_email": "{Email of document starter}",
			"workflow_lib_id": "{Templete lib_id}"
			},
	"header":{
		"session_id": "thread_023",
		"response_code": "1410A",
		"result_code": "00",
		"result_msg": "Start Work Flow bulk Sending.",
		"version": "9.9.99"
	}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/eng-1/workflow/start/bulkstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
